[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[bug #17927] gnustep-base build fails on HP-UX 11.23 (both ia64 and pa)

From: Richard Frith-Macdonald
Subject: [bug #17927] gnustep-base build fails on HP-UX 11.23 (both ia64 and pa)
Date: Fri, 06 Oct 2006 14:29:10 +0000
User-agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/418.9 (KHTML, like Gecko) Safari/419.3

Update of bug #17927 (project gnustep):

                Category:                    None => Base/Foundation        
              Item Group:                     Bug => Change Request         


Follow-up Comment #1:

Trying 1.6 is a bit pointless ... it's so old!

If you check the platforms GNUstep runs on (there is a link to the list from
the FAQ in the user area of the website) you will see that HP/UX is neither
supported nor known to run on HP/UX.

That being said, portability of GNUstep is good and it should run on HP/UX
without much porting effort, and any changes needed to port 1.13 can easily
be integrated into GNUstep for the next release.  However full functionality 
will require a working copy of the ffcall or ffi library.

Looking at the trace it seems to be an HP/UX system header problem (eg one
header depending on another but not including it), or is some incompatibility
between a preprocessor constant defined in GNUstep and one the system headers

That can be tedious to sort out ... you have to go through a trial and error
process of repositioning the include directives to see what other things
included before them might be messing them up.


Reply to this item at:


  Message sent via/by Savannah

reply via email to

[Prev in Thread] Current Thread [Next in Thread]